| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxFileType::MessageParameters Class Reference

`#include <wx/mimetype.h>`

## Detailed Description

Class representing message parameters.

An object of this class may be passed to wxFileType::GetOpenCommand() and GetPrintCommand() if more than the file name needs to be specified.

## Public Member Functions

| MessageParameters ()
| Trivial default constructor. More...
| MessageParameters (const wxString &filename, const wxString &mimetype=wxEmptyString)
| Constructor taking a filename and a mime type. More...
const wxString & | GetFileName () const
| Return the filename. More...
const wxString & | GetMimeType () const
| Return the MIME type. More...
virtual wxString | GetParamValue (const wxString &name) const
| Overridable method for derived classes. Returns empty string by default. More...
virtual | ~MessageParameters ()
| Trivial but virtual dtor as this class can be inherited from. More...

## Constructor & Destructor Documentation

wxFileType::MessageParameters::MessageParameters | ( |  | ) |

Trivial default constructor.

wxFileType::MessageParameters::MessageParameters | ( | const wxString & | filename,
|  | const wxString & | mimetype = `wxEmptyString`
| ) |  |

Constructor taking a filename and a mime type.

virtual wxFileType::MessageParameters::~MessageParameters | ( |  | ) |

virtual

Trivial but virtual dtor as this class can be inherited from.

## Member Function Documentation

const wxString& wxFileType::MessageParameters::GetFileName | ( |  | ) | const

Return the filename.

const wxString& wxFileType::MessageParameters::GetMimeType | ( |  | ) | const

Return the MIME type.

virtual wxString wxFileType::MessageParameters::GetParamValue | ( | const wxString & | name | ) | const

virtual

Overridable method for derived classes. Returns empty string by default.